/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IShortPeriodLongPeriod_$type } from "./IShortPeriodLongPeriod";
import { AbsoluteVolumeOscillatorIndicatorStrategy } from "./AbsoluteVolumeOscillatorIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES2015/type";
export class AbsoluteVolumeOscillatorIndicator extends StrategyBasedIndicator {
    get_p3() {
        return new AbsoluteVolumeOscillatorIndicatorStrategy();
    }
    get p3() {
        return this.get_p3();
    }
    get_qg() {
        return AbsoluteVolumeOscillatorIndicator.$;
    }
    get qg() {
        return this.get_qg();
    }
    get shortPeriod() {
        return typeGetValue(this.c(AbsoluteVolumeOscillatorIndicator.qp));
    }
    set shortPeriod(a) {
        this.h(AbsoluteVolumeOscillatorIndicator.qp, a);
    }
    qb() {
        return this.shortPeriod;
    }
    get longPeriod() {
        return typeGetValue(this.c(AbsoluteVolumeOscillatorIndicator.qo));
    }
    set longPeriod(a) {
        this.h(AbsoluteVolumeOscillatorIndicator.qo, a);
    }
    p8() {
        return this.longPeriod;
    }
}
AbsoluteVolumeOscillatorIndicator.$t = markType(AbsoluteVolumeOscillatorIndicator, 'AbsoluteVolumeOscillatorIndicator', StrategyBasedIndicator.$, [IShortPeriodLongPeriod_$type]);
AbsoluteVolumeOscillatorIndicator.qp = StrategyBasedIndicator.qn(10, AbsoluteVolumeOscillatorIndicator.$);
AbsoluteVolumeOscillatorIndicator.qo = StrategyBasedIndicator.qj(30, AbsoluteVolumeOscillatorIndicator.$);
